
/*
 * Copyright 1998 by PsychoticSoftware
 *
 * This program is free software; you can redistribute it and/or
 * modify it. All we ask is for a simple dredit in any application 
 * you use any part of this source code in -- maybe in a README file.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  
 */


package SuperEdit;

import java.awt.*;
import com.sun.java.swing.*;
import java.awt.event.*;


public class ButtonBar extends JPanel
{
  FlowLayout flowLayout1;

  ImageIcon replaceOut;
  ImageIcon browseOut;
  ImageIcon closeOut;
  ImageIcon compileOut;
  ImageIcon debugOut;
  ImageIcon findOut;
  ImageIcon findAgainOut;
  ImageIcon makeOut;
  ImageIcon rebuildOut;
  ImageIcon redoOut;
  ImageIcon undoOut;
  ImageIcon saveOut;
  ImageIcon saveAllOut;
  ImageIcon openOut;

  JLabel breplace;
  JLabel bbrowse;
  JLabel bclose;
  JLabel bcompile;
  JLabel bdebug;
  JLabel bfind;
  JLabel bfindagain;
  JLabel bmake;
  JLabel brebuild;
  JLabel bredo;
  JLabel bsave;
  JLabel bundo;
  JLabel bopen;
  JLabel bsaveall;

  ImageIcon replaceIn;
  ImageIcon browseIn;
  ImageIcon closeIn;
  ImageIcon compileIn;
  ImageIcon debugIn;
  ImageIcon findIn;
  ImageIcon findAgainIn;
  ImageIcon makeIn;
  ImageIcon rebuildIn;
  ImageIcon redoIn;
  ImageIcon undoIn;
  ImageIcon saveIn;
  ImageIcon saveAllIn;
  ImageIcon openIn;




  public ButtonBar()
  {
    try
    {
      initHeader();
      jbInit();
    }
    catch (Exception ex)
    {
      ex.printStackTrace();
    }
  }

  private void initHeader()
  {
    flowLayout1 = new FlowLayout();
    Conn.conn.status.setText("ButtonBar: Initialize Layout");
    Conn.conn.status.repaint();

    replaceOut = loadImageIcon("images/replaceOut.gif","replaceOut");
    Conn.conn.status.setText("ButtonBar: Initialize Buttons -> replaceOut");
    Conn.conn.status.repaint();
    browseOut = loadImageIcon("images/browseOut.gif","replaceOut");
    Conn.conn.status.setText("ButtonBar: Initialize Buttons -> browseOut");
    Conn.conn.status.repaint();
    closeOut = loadImageIcon("images/closeOut.gif","replaceOut");
    Conn.conn.status.setText("ButtonBar: Initialize Buttons -> closeOut");
    Conn.conn.status.repaint();
    compileOut = loadImageIcon("images/compileOut.gif","replaceOut");
    Conn.conn.status.setText("ButtonBar: Initialize Buttons -> compileOut");
    Conn.conn.status.repaint();
    debugOut = loadImageIcon("images/debugOut.gif","replaceOut");
    Conn.conn.status.setText("ButtonBar: Initialize Buttons -> debugOut");
    Conn.conn.status.repaint();
    findOut = loadImageIcon("images/findOut.gif","replaceOut");
    Conn.conn.status.setText("ButtonBar: Initialize Buttons -> findOut");
    Conn.conn.status.repaint();
    findAgainOut = loadImageIcon("images/findAgainOut.gif","replaceOut");
    Conn.conn.status.setText("ButtonBar: Initialize Buttons -> findAgainOut");
    Conn.conn.status.repaint();
    makeOut = loadImageIcon("images/makeOut.gif","replaceOut");
    Conn.conn.status.setText("ButtonBar: Initialize Buttons -> makeOut");
    Conn.conn.status.repaint();
    rebuildOut = loadImageIcon("images/rebuildOut.gif","replaceOut");
    Conn.conn.status.setText("ButtonBar: Initialize Buttons -> rebuildOut");
    Conn.conn.status.repaint();
    redoOut = loadImageIcon("images/redoOut.gif","replaceOut");
    Conn.conn.status.setText("ButtonBar: Initialize Buttons -> redoOut");
    Conn.conn.status.repaint();
    undoOut = loadImageIcon("images/undoOut.gif","replaceOut");
    Conn.conn.status.setText("ButtonBar: Initialize Buttons -> undoOut");
    Conn.conn.status.repaint();
    saveOut = loadImageIcon("images/saveOut.gif","replaceOut");
    Conn.conn.status.setText("ButtonBar: Initialize Buttons -> saveOut");
    Conn.conn.status.repaint();
    saveAllOut = loadImageIcon("images/saveAllOut.gif","replaceOut");
    Conn.conn.status.setText("ButtonBar: Initialize Buttons -> saveAllOut");
    Conn.conn.status.repaint();
    openOut = loadImageIcon("images/openOut.gif","replaceOut");
    Conn.conn.status.setText("ButtonBar: Initialize Buttons -> openOut");
    Conn.conn.status.repaint();

    breplace = new JLabel(replaceOut);
    Conn.conn.status.setText("ButtonBar: Associate Actions -> replaceOut");
    Conn.conn.status.repaint();
    bbrowse = new JLabel(browseOut);
    Conn.conn.status.setText("ButtonBar: Associate Actions -> browseOut");
    Conn.conn.status.repaint();
    bclose = new JLabel(closeOut);
    Conn.conn.status.setText("ButtonBar: Associate Actions -> closeOut");
    Conn.conn.status.repaint();
    bcompile = new JLabel(compileOut);
    Conn.conn.status.setText("ButtonBar: Associate Actions -> compileOut");
    Conn.conn.status.repaint();
    bdebug = new JLabel(debugOut);
    Conn.conn.status.setText("ButtonBar: Associate Actions -> debugOut");
    Conn.conn.status.repaint();
    bfind = new JLabel(findOut);
    Conn.conn.status.setText("ButtonBar: Associate Actions -> findOut");
    Conn.conn.status.repaint();
    bfindagain = new JLabel(findAgainOut);
    Conn.conn.status.setText("ButtonBar: Associate Actions -> findAgainOut");
    Conn.conn.status.repaint();
    bmake = new JLabel(makeOut);
    Conn.conn.status.setText("ButtonBar: Associate Actions -> makeOut");
    Conn.conn.status.repaint();
    brebuild = new JLabel(rebuildOut);
    Conn.conn.status.setText("ButtonBar: Associate Actions -> rebuildOut");
    Conn.conn.status.repaint();
    bredo = new JLabel(redoOut);
    Conn.conn.status.setText("ButtonBar: Associate Actions -> redoOut");
    Conn.conn.status.repaint();
    bsave = new JLabel(saveOut);
    Conn.conn.status.setText("ButtonBar: Associate Actions -> saveOut");
    Conn.conn.status.repaint();
    bundo = new JLabel(undoOut);
    Conn.conn.status.setText("ButtonBar: Associate Actions -> undoOut");
    Conn.conn.status.repaint();
    bopen = new JLabel(openOut);
    Conn.conn.status.setText("ButtonBar: Associate Actions -> openOut");
    Conn.conn.status.repaint();
    bsaveall = new JLabel(saveAllOut);
    Conn.conn.status.setText("ButtonBar: Associate Actions -> saveAllOut");
    Conn.conn.status.repaint();

    replaceIn = loadImageIcon("images/replaceIn.gif","replaceIn");
    Conn.conn.status.setText("ButtonBar: Initialize Buttons -> replaceIn");
    Conn.conn.status.repaint();
    browseIn = loadImageIcon("images/browseIn.gif","replaceIn");
    Conn.conn.status.setText("ButtonBar: Initialize Buttons -> browseIn");
    Conn.conn.status.repaint();
    closeIn = loadImageIcon("images/closeIn.gif","replaceIn");
    Conn.conn.status.setText("ButtonBar: Initialize Buttons -> closeIn");
    Conn.conn.status.repaint();
    compileIn = loadImageIcon("images/compileIn.gif","replaceIn");
    Conn.conn.status.setText("ButtonBar: Initialize Buttons -> compileIn");
    Conn.conn.status.repaint();
    debugIn = loadImageIcon("images/debugIn.gif","replaceIn");
    Conn.conn.status.setText("ButtonBar: Initialize Buttons -> debugIn");
    Conn.conn.status.repaint();
    findIn = loadImageIcon("images/findIn.gif","replaceIn");
    Conn.conn.status.setText("ButtonBar: Initialize Buttons -> findIn");
    Conn.conn.status.repaint();
    findAgainIn = loadImageIcon("images/findAgainIn.gif","replaceIn");
    Conn.conn.status.setText("ButtonBar: Initialize Buttons -> findAgainIn");
    Conn.conn.status.repaint();
    makeIn = loadImageIcon("images/makeIn.gif","replaceIn");
    Conn.conn.status.setText("ButtonBar: Initialize Buttons -> makeIn");
    Conn.conn.status.repaint();
    rebuildIn = loadImageIcon("images/rebuildIn.gif","replaceIn");
    Conn.conn.status.setText("ButtonBar: Initialize Buttons -> rebuildIn");
    Conn.conn.status.repaint();
    redoIn = loadImageIcon("images/redoIn.gif","replaceIn");
    Conn.conn.status.setText("ButtonBar: Initialize Buttons -> redoIn");
    Conn.conn.status.repaint();
    undoIn = loadImageIcon("images/undoIn.gif","replaceIn");
    Conn.conn.status.setText("ButtonBar: Initialize Buttons -> undoIn");
    Conn.conn.status.repaint();
    saveIn = loadImageIcon("images/saveIn.gif","replaceIn");
    Conn.conn.status.setText("ButtonBar: Initialize Buttons -> saveIn");
    Conn.conn.status.repaint();
    saveAllIn = loadImageIcon("images/saveAllIn.gif","replaceIn");
    Conn.conn.status.setText("ButtonBar: Initialize Buttons -> saveAllIn");
    Conn.conn.status.repaint();
    openIn = loadImageIcon("images/openIn.gif","replaceIn");
    Conn.conn.status.setText("ButtonBar: Initialize Buttons -> openIn");
    Conn.conn.status.repaint();
  }

  void jbInit() throws Exception
  {
    this.setLayout(flowLayout1);

    breplace.setToolTipText("Replace");
    breplace.setCursor(Cursor.getPredefinedCursor(Cursor.HAND_CURSOR));
    breplace.addMouseListener(new java.awt.event.MouseAdapter()
    {
      public void mouseEntered(MouseEvent e)
      {
        breplace_mouseEntered(e);
      }
      public void mouseExited(MouseEvent e)
      {
        breplace_mouseExited(e);
      }
      public void mouseClicked(MouseEvent e)
      {
        breplace_mouseClicked(e);
      }
    });
    bbrowse.setToolTipText("Browse");
    bbrowse.setCursor(Cursor.getPredefinedCursor(Cursor.HAND_CURSOR));
    bbrowse.addMouseListener(new java.awt.event.MouseAdapter()
    {
      public void mouseEntered(MouseEvent e)
      {
        bbrowse_mouseEntered(e);
      }
      public void mouseExited(MouseEvent e)
      {
        bbrowse_mouseExited(e);
      }
      public void mouseClicked(MouseEvent e)
      {
        bbrowse_mouseClicked(e);
      }
    });
    bclose.setToolTipText("Close");
    bclose.setCursor(Cursor.getPredefinedCursor(Cursor.HAND_CURSOR));
    bclose.addMouseListener(new java.awt.event.MouseAdapter()
    {
      public void mouseEntered(MouseEvent e)
      {
        bclose_mouseEntered(e);
      }
      public void mouseExited(MouseEvent e)
      {
        bclose_mouseExited(e);
      }
      public void mouseClicked(MouseEvent e)
      {
        bclose_mouseClicked(e);
      }
    });
    bcompile.setToolTipText("Compile");
    bcompile.setCursor(Cursor.getPredefinedCursor(Cursor.HAND_CURSOR));
    bcompile.addMouseListener(new java.awt.event.MouseAdapter()
    {
      public void mouseEntered(MouseEvent e)
      {
        bcompile_mouseEntered(e);
      }
      public void mouseExited(MouseEvent e)
      {
        bcompile_mouseExited(e);
      }
      public void mouseClicked(MouseEvent e)
      {
        bcompile_mouseClicked(e);
      }
    });
    bdebug.setToolTipText("Debug");
    bdebug.setCursor(Cursor.getPredefinedCursor(Cursor.HAND_CURSOR));
    bdebug.addMouseListener(new java.awt.event.MouseAdapter()
    {
      public void mouseEntered(MouseEvent e)
      {
        bdebug_mouseEntered(e);
      }
      public void mouseExited(MouseEvent e)
      {
        bdebug_mouseExited(e);
      }
      public void mouseClicked(MouseEvent e)
      {
        bdebug_mouseClicked(e);
      }
    });
    bfind.setToolTipText("Find");
    bfind.setCursor(Cursor.getPredefinedCursor(Cursor.HAND_CURSOR));
    bfind.addMouseListener(new java.awt.event.MouseAdapter()
    {
      public void mouseEntered(MouseEvent e)
      {
        bfind_mouseEntered(e);
      }
      public void mouseExited(MouseEvent e)
      {
        bfind_mouseExited(e);
      }
      public void mouseClicked(MouseEvent e)
      {
        bfind_mouseClicked(e);
      }
    });
    bfindagain.setToolTipText("Find Again");
    bfindagain.setCursor(Cursor.getPredefinedCursor(Cursor.HAND_CURSOR));
    bfindagain.addMouseListener(new java.awt.event.MouseAdapter()
    {
      public void mouseEntered(MouseEvent e)
      {
        bfindagain_mouseEntered(e);
      }
      public void mouseExited(MouseEvent e)
      {
        bfindagain_mouseExited(e);
      }
      public void mouseClicked(MouseEvent e)
      {
        bfindagain_mouseClicked(e);
      }
    });
    bmake.setToolTipText("Make");
    bmake.setCursor(Cursor.getPredefinedCursor(Cursor.HAND_CURSOR));
    bmake.addMouseListener(new java.awt.event.MouseAdapter()
    {
      public void mouseEntered(MouseEvent e)
      {
        bmake_mouseEntered(e);
      }
      public void mouseExited(MouseEvent e)
      {
        bmake_mouseExited(e);
      }
      public void mouseClicked(MouseEvent e)
      {
        bmake_mouseClicked(e);
      }
    });
    brebuild.setToolTipText("Rebuild");
    brebuild.setCursor(Cursor.getPredefinedCursor(Cursor.HAND_CURSOR));
    brebuild.addMouseListener(new java.awt.event.MouseAdapter()
    {
      public void mouseEntered(MouseEvent e)
      {
        brebuild_mouseEntered(e);
      }
      public void mouseExited(MouseEvent e)
      {
        brebuild_mouseExited(e);
      }
      public void mouseClicked(MouseEvent e)
      {
        brebuild_mouseClicked(e);
      }
    });
    bredo.setToolTipText("Redo");
    bredo.setCursor(Cursor.getPredefinedCursor(Cursor.HAND_CURSOR));
    bredo.addMouseListener(new java.awt.event.MouseAdapter()
    {
      public void mouseEntered(MouseEvent e)
      {
        bredo_mouseEntered(e);
      }
      public void mouseExited(MouseEvent e)
      {
        bredo_mouseExited(e);
      }
      public void mouseClicked(MouseEvent e)
      {
        bredo_mouseClicked(e);
      }
    });
    bsave.setToolTipText("Save");
    bsave.setCursor(Cursor.getPredefinedCursor(Cursor.HAND_CURSOR));
    bsave.addMouseListener(new java.awt.event.MouseAdapter()
    {
      public void mouseEntered(MouseEvent e)
      {
        bsave_mouseEntered(e);
      }
      public void mouseExited(MouseEvent e)
      {
        bsave_mouseExited(e);
      }
      public void mouseClicked(MouseEvent e)
      {
        bsave_mouseClicked(e);
      }
    });
    bundo.setToolTipText("Undo");
    bundo.setCursor(Cursor.getPredefinedCursor(Cursor.HAND_CURSOR));
    bundo.addMouseListener(new java.awt.event.MouseAdapter()
    {
      public void mouseEntered(MouseEvent e)
      {
        bundo_mouseEntered(e);
      }
      public void mouseExited(MouseEvent e)
      {
        bundo_mouseExited(e);
      }
      public void mouseClicked(MouseEvent e)
      {
        bundo_mouseClicked(e);
      }
    });
    bopen.setToolTipText("Open");
    bopen.setCursor(Cursor.getPredefinedCursor(Cursor.HAND_CURSOR));
    bsaveall.setToolTipText("Save All");
    bsaveall.setCursor(Cursor.getPredefinedCursor(Cursor.HAND_CURSOR));
    bsaveall.addMouseListener(new java.awt.event.MouseAdapter()
    {
      public void mouseEntered(MouseEvent e)
      {
        bsaveall_mouseEntered(e);
      }
      public void mouseExited(MouseEvent e)
      {
        bsaveall_mouseExited(e);
      }
      public void mouseClicked(MouseEvent e)
      {
        bsaveall_mouseClicked(e);
      }
    });

    breplace.setSize(45, 24);
    bbrowse.setSize(45, 24);
    bclose.setSize(45, 24);
    bcompile.setSize(45, 24);
    bdebug.setSize(45, 24);
    bfind.setSize(45, 24);
    bfindagain.setSize(45, 24);
    bmake.setSize(45, 24);
    brebuild.setSize(45, 24);
    bredo.setSize(45, 24);
    bsave.setSize(45, 24);
    bundo.setSize(45, 24);
    bopen.setSize(45, 24);
    bsaveall.setSize(45, 24);



    bopen.addMouseListener(new java.awt.event.MouseAdapter()
    {
      public void mouseEntered(MouseEvent e)
      {
        bopen_mouseEntered(e);
      }
      public void mouseExited(MouseEvent e)
      {
        bopen_mouseExited(e);
      }
      public void mouseClicked(MouseEvent e)
      {
        bopen_mouseClicked(e);
      }
    });

    this.add(bopen, null);
    this.add(bsave, null);
    this.add(bundo, null);
    this.add(bfind, null);
    this.add(bfindagain, null);
    this.add(bcompile, null);
    this.add(bdebug, null);

    this.add(bclose, null);
    this.add(bsaveall, null);
    this.add(bredo, null);
    this.add(breplace, null);
    this.add(bbrowse, null);
    this.add(bmake, null);
    this.add(brebuild, null);

    this.setSize(new Dimension(355, 60));
  }

  public ImageIcon loadImageIcon(String filename, String description)
  {
      java.net.URL url = getClass().getResource(filename);
      return new ImageIcon(url, description);
  }

  public JLabel makeButton(String name)
  {
	  JLabel b = new JLabel(loadImageIcon("images/" + name + "Out.gif",name)) ;
	  b.setToolTipText(name);
    b.setSize(45, 24);
    b.setCursor(Cursor.getPredefinedCursor(Cursor.HAND_CURSOR));
	  //b.setMargin(new Insets(0,0,0,0));
	  b.getAccessibleContext().setAccessibleName(name);
    return b;
  }

  void bopen_mouseEntered(MouseEvent e)
  {
    bopen.setIcon(openIn);
    bopen.repaint();
  }

  void bopen_mouseExited(MouseEvent e)
  {
    bopen.setIcon(openOut);
    bopen.repaint();
  }

  void bsave_mouseEntered(MouseEvent e)
  {
    bsave.setIcon(saveIn);
    bsave.repaint();
  }

  void bsave_mouseExited(MouseEvent e)
  {
    bsave.setIcon(saveOut);
    bsave.repaint();
  }

  void bundo_mouseEntered(MouseEvent e)
  {
    bundo.setIcon(undoIn);
    bundo.repaint();
  }

  void bundo_mouseExited(MouseEvent e)
  {
    bundo.setIcon(undoOut);
    bundo.repaint();
  }

  void bfind_mouseEntered(MouseEvent e)
  {
    bfind.setIcon(findIn);
    bfind.repaint();
  }

  void bfind_mouseExited(MouseEvent e)
  {
    bfind.setIcon(findOut);
    bfind.repaint();
  }

  void bfindagain_mouseEntered(MouseEvent e)
  {
    bfindagain.setIcon(findAgainIn);
    bfindagain.repaint();
  }

  void bfindagain_mouseExited(MouseEvent e)
  {
    bfindagain.setIcon(findAgainOut);
    bfindagain.repaint();
  }

  void bcompile_mouseEntered(MouseEvent e)
  {
    bcompile.setIcon(compileIn);
    bcompile.repaint();
  }

  void bcompile_mouseExited(MouseEvent e)
  {
    bcompile.setIcon(compileOut);
    bcompile.repaint();
  }

  void bdebug_mouseEntered(MouseEvent e)
  {
    bdebug.setIcon(debugIn);
    bdebug.repaint();
  }

  void bdebug_mouseExited(MouseEvent e)
  {
    bdebug.setIcon(debugOut);
    bdebug.repaint();
  }

  void bclose_mouseEntered(MouseEvent e)
  {
    bclose.setIcon(closeIn);
    bclose.repaint();
  }

  void bclose_mouseExited(MouseEvent e)
  {
    bclose.setIcon(closeOut);
    bclose.repaint();
  }

  void bsaveall_mouseEntered(MouseEvent e)
  {
    bsaveall.setIcon(saveAllIn);
    bsaveall.repaint();
  }

  void bsaveall_mouseExited(MouseEvent e)
  {
    bsaveall.setIcon(saveAllOut);
    bsaveall.repaint();
  }

  void bredo_mouseEntered(MouseEvent e)
  {
    bredo.setIcon(redoIn);
    bredo.repaint();
  }

  void bredo_mouseExited(MouseEvent e)
  {
    bredo.setIcon(redoOut);
    bredo.repaint();
  }

  void breplace_mouseEntered(MouseEvent e)
  {
    breplace.setIcon(replaceIn);
    breplace.repaint();
  }

  void breplace_mouseExited(MouseEvent e)
  {
    breplace.setIcon(replaceOut);
    breplace.repaint();
  }

  void bbrowse_mouseEntered(MouseEvent e)
  {
    bbrowse.setIcon(browseIn);
    bbrowse.repaint();
  }

  void bbrowse_mouseExited(MouseEvent e)
  {
    bbrowse.setIcon(browseOut);
    bbrowse.repaint();
  }

  void bmake_mouseEntered(MouseEvent e)
  {
    bmake.setIcon(makeIn);
    bmake.repaint();
  }

  void bmake_mouseExited(MouseEvent e)
  {
    bmake.setIcon(makeOut);
    bmake.repaint();
  }

  void brebuild_mouseEntered(MouseEvent e)
  {
    brebuild.setIcon(rebuildIn);
    brebuild.repaint();
  }

  void brebuild_mouseExited(MouseEvent e)
  {
    brebuild.setIcon(rebuildOut);
    brebuild.repaint();
  }

  // Actions

  void bopen_mouseClicked(MouseEvent e)
  {
    if(e.getClickCount() != 2) {return;}
    SuperEdit.superEdit.openItem_actionPerformed(null);
  }

  void bsave_mouseClicked(MouseEvent e)
  {
    if(e.getClickCount() != 2) {return;}
    SuperEdit.superEdit.saveAsItem_actionPerformed(null);
  }

  void bundo_mouseClicked(MouseEvent e)
  {
    if(e.getClickCount() != 2) {return;}
    SuperEdit.superEdit.undoItem_actionPerformed(null);
  }

  void bfind_mouseClicked(MouseEvent e)
  {
    if(e.getClickCount() != 2) {return;}
    SuperEdit.superEdit.findItem_actionPerformed(null);
  }

  void bfindagain_mouseClicked(MouseEvent e)
  {
    if(e.getClickCount() != 2) {return;}
    SuperEdit.superEdit.findAgainItem_actionPerformed(null);
  }

  void bcompile_mouseClicked(MouseEvent e)
  {
    if(e.getClickCount() != 2) {return;}
    SuperEdit.superEdit.compileItem_actionPerformed(null);
  }

  void bdebug_mouseClicked(MouseEvent e)
  {

  }

  void bclose_mouseClicked(MouseEvent e)
  {
    if(e.getClickCount() != 2) {return;}
    Editor ed = SuperEdit.superEdit.currentEditor;
    if(ed == null) {return;}
    try
    {
      ed.setClosed(true);
      ed.this_internalFrameClosing(null);
    }
    catch(Exception x){;}
  }

  void bsaveall_mouseClicked(MouseEvent e)
  {
    if(e.getClickCount() != 2) {return;}
    java.util.Enumeration editors = SuperEdit.superEdit.openedWindows.elements();
    while(editors.hasMoreElements())
    {
      Editor current = (Editor) editors.nextElement();
      current.saveButton_actionPerformed(null);
    }
  }

  void bredo_mouseClicked(MouseEvent e)
  {
    if(e.getClickCount() != 2) {return;}
    SuperEdit.superEdit.redoItem_actionPerformed(null);
  }

  void breplace_mouseClicked(MouseEvent e)
  {
    if(e.getClickCount() != 2) {return;}
    SuperEdit.superEdit.replaceItem_actionPerformed(null);
  }

  void bbrowse_mouseClicked(MouseEvent e)
  {

  }

  void bmake_mouseClicked(MouseEvent e)
  {
    if(e.getClickCount() != 2) {return;}
    SuperEdit.superEdit.makeItem_actionPerformed(null);
  }

  void brebuild_mouseClicked(MouseEvent e)
  {

  }



}

