
/*
 * Copyright 1998 by PsychoticSoftware
 *
 * This program is free software; you can redistribute it and/or
 * modify it. All we ask is for a simple dredit in any application 
 * you use any part of this source code in -- maybe in a README file.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  
 */


package SuperEdit;

import java.awt.*;
import com.sun.java.swing.JFrame;
import java.awt.event.*;

public class HelpWindow extends JFrame
{
  BorderLayout borderLayout1 = new BorderLayout();
  HtmlPanel hp = new HtmlPanel(getClass().getResource("doc/SuperEdit.html"));

  
  public HelpWindow()
  {
    try 
    {
      jbInit();
    }
    catch (Exception e)
    {
      e.printStackTrace();
    }
  }

  private void jbInit() throws Exception
  {
    try
    {
	    java.net.URL url = getClass().getResource("images/hlp.gif");
      java.awt.image.ImageProducer imageProd = (java.awt.image.ImageProducer) url.getContent();
      Image image = createImage( imageProd );
	    setIconImage(image);
    }
    catch(Exception e) {;}
    this.setTitle("Help");
    this.addWindowListener(new java.awt.event.WindowAdapter()
    {
      public void windowClosing(WindowEvent e)
      {
        this_windowClosing(e);
      }
    });
    this.getContentPane().setLayout(borderLayout1);
    this.getContentPane().add(hp, BorderLayout.CENTER);
    setBounds(getToolkit().getScreenSize().width/2 - 500/2, getToolkit().getScreenSize().height/2 - 525/2, 500, 525);
    show();
  }

  void this_windowClosing(WindowEvent e)
  {
    dispose();
  }
}

 
