
/*
 * Copyright 1998 by PsychoticSoftware
 *
 * This program is free software; you can redistribute it and/or
 * modify it. All we ask is for a simple dredit in any application 
 * you use any part of this source code in -- maybe in a README file.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  
 */


package SuperEdit;

import java.awt.*;
import com.sun.java.swing.border.*;
import com.sun.java.swing.*;
import java.awt.event.*;

public class Messages extends JFrame
{
  Border border1 = new BevelBorder(BevelBorder.LOWERED);
  DefaultListModel model = new DefaultListModel();
  JList list = new JList(model);
  JScrollPane scroller = new JScrollPane(list);

  public Messages()
  {
    try 
    {
      jbInit();
    }
    catch (Exception e)
    {
      e.printStackTrace();
    }
  }

  private void jbInit() throws Exception
  {
    try
    {
	    java.net.URL url = getClass().getResource("images/messages.gif");
      java.awt.image.ImageProducer imageProd = (java.awt.image.ImageProducer) url.getContent();
      Image image = createImage( imageProd );
	    setIconImage(image);
    }
    catch(Exception e) {;}

    this.setTitle("Messages");
    this.addWindowListener(new java.awt.event.WindowAdapter()
    {
      public void windowClosing(WindowEvent e)
      {
        this_windowClosing(e);
      }
    });
    list.setSelectionBackground(Color.white);
    list.setSelectionForeground(Color.red);
    list.setForeground(Color.white);
    list.setBackground(Color.black);
    list.addMouseListener(new java.awt.event.MouseAdapter()
    {
      public void mouseClicked(MouseEvent e)
      {
        list_mouseClicked(e);
      }
    });
    scroller.setBorder(border1);
    this.getContentPane().add(scroller, BorderLayout.CENTER);
    setBounds(100, 100, 730, 120);
  }

  void list_mouseClicked(MouseEvent e)
  {
    if (e.getClickCount() == 2)
    {
      int index = list.locationToIndex(e.getPoint());
      if(index >= 0)
      {
        java.util.Enumeration enum = SuperEdit.superEdit.openedWindows.elements();

        while(enum.hasMoreElements())
        {
          Editor cur = (Editor) enum.nextElement();
          if(cur.getTitle().equals(  ((ErrorCode)model.getElementAt(index)).file   ))
          {
            cur.toFront();
            SuperEdit.superEdit.currentEditor = cur;
            cur.gotoLine(((ErrorCode)model.getElementAt(index)).line);
            return;
          }
        }
        SuperEdit.superEdit.makeEditor(new java.io.File(((ErrorCode)model.getElementAt(index)).file));
        SuperEdit.superEdit.currentEditor.gotoLine(((ErrorCode)model.getElementAt(index)).line);
      }
    }
  }

  void this_windowClosing(WindowEvent e)
  {
    SuperEdit.superEdit.messagesItem.setSelected(false);
  }
}

