
/*
 * Copyright 1998 by PsychoticSoftware
 *
 * This program is free software; you can redistribute it and/or
 * modify it. All we ask is for a simple dredit in any application 
 * you use any part of this source code in -- maybe in a README file.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  
 */


package SuperEdit.RAD;

import java.awt.*;
import com.sun.java.swing.*;

public class LogoPanel extends JPanel
{
  BorderLayout borderLayout1 = new BorderLayout();
  Image logo = loadImageIcon("images/se.gif", "SE_Logo").getImage();

  
  public LogoPanel()
  {
    try 
    {
      jbInit();
    }
    catch (Exception ex)
    {
      ex.printStackTrace();
    }
  }

  void jbInit() throws Exception
  {
    this.setLayout(borderLayout1);
    this.setFont(new Font("Serif", Font.BOLD, 14));
    this.setForeground(Color.white);
    this.setBackground(Color.white);
  }

  public void paint(Graphics g)
  {
    try
    {
      int w = getSize().width;
      int h = getSize().height;

      //Image logo = (new ImageIcon(loadImageIcon("images/se.gif", "SE_Logo").getImage().getScaledInstance(w, h, Image.SCALE_DEFAULT))).getImage() ;
      g.drawImage(logo, 0, 0, w, h, Color.black, this);
      String msg = "Double Click Me";
      int sw = getFontMetrics(getFont()).stringWidth(msg);
      int sh = getFontMetrics(getFont()).getHeight();

      g.drawString(msg, getSize().width/2 - sw/2, getSize().height - 3);

    }
    catch(Exception e)
    {
      System.out.println("Couldn't find se.gif");
      super.paint(g);
    }
  }

  public ImageIcon loadImageIcon(String filename, String description)
  {
      java.net.URL url = getClass().getResource(filename);
      return new ImageIcon(url, description);
  }


}

 