
/*
 * Copyright 1998 by PsychoticSoftware
 *
 * This program is free software; you can redistribute it and/or
 * modify it. All we ask is for a simple dredit in any application 
 * you use any part of this source code in -- maybe in a README file.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  
 */

package SuperEdit.RAD;

import java.awt.*;
import com.sun.java.swing.*;
import java.awt.event.*;

public class MenuFrame extends JInternalFrame
{
  LogoPanel lp = new LogoPanel();
  BorderLayout bl = new BorderLayout();
  BeanBoxFrame bbf;


  public MenuFrame(BeanBoxFrame bbf)
  {
    this.bbf = bbf;
    try
    {
      jbInit();
    }
    catch (Exception e)
    {
      e.printStackTrace();
    }
  }

  private void jbInit() throws Exception
  {
    this.getContentPane().setLayout(bl);
    this.getContentPane().add(lp, BorderLayout.CENTER);
    this.setSize(200, 200);
    this.setVisible(true);
    this.setForeground(Color.white);
    this.setBackground(Color.white);
    
    this.addMouseListener(new java.awt.event.MouseAdapter()
    {
      public void mouseClicked(MouseEvent e)
      {
        this_mouseClicked(e);
      }
    });
  }

  void this_mouseClicked(MouseEvent e)
  {
    if(e.getClickCount() == 2)
    {
      bbf.getToolBox().setVisible(!bbf.isVisible());
      bbf.getToolBox().setBounds(30, 30, 175, 500);

      bbf.getPropertySheet().setVisible(!bbf.isVisible());
      bbf.getPropertySheet().setLocation(675, 30);

      bbf.setVisible(!bbf.isVisible());
      bbf.setBounds(215, 30, 450, 500);
    }
  }

}

                                                            
