
// Support for PropertyEditor with custom editors.

package SuperEdit.RAD;

import java.awt.*;
import java.awt.event.*;
import java.beans.*;
import com.sun.java.swing.*;
import borland.jbcl.layout.XYLayout;
import borland.jbcl.layout.XYConstraints;
import com.sun.java.swing.*;


class PropertyDialog extends JDialog implements ActionListener {

    private JButton doneButton;
    private Component body;
    private final static int vPad = 5;
    private final static int hPad = 4;

    PropertyDialog(Frame frame, PropertyEditor pe, int x, int y) {
	super(frame, pe.getClass().getName(), true);
	new WindowCloser(this);
	getContentPane().setLayout(new XYLayout());

	body = pe.getCustomEditor();

	doneButton = new JButton("Done");
	doneButton.addActionListener(this);

  setSize(body.getPreferredSize().width + 6, body.getPreferredSize().height + doneButton.getPreferredSize().height + 9 + 22);

	getContentPane().add(body, new XYConstraints(3, 3, body.getPreferredSize().width , body.getPreferredSize().height ));
	getContentPane().add(doneButton, new XYConstraints(getSize().width/2 - doneButton.getPreferredSize().width/2, body.getPreferredSize().height + 6, doneButton.getPreferredSize().width , doneButton.getPreferredSize().height ));

	setLocation(x, y);
  setResizable(false);
	show();
    }

    public void actionPerformed(ActionEvent evt) {
        // Button down.
	dispose();
    }

}

