
// Support for PropertyEditors that use tags.

package SuperEdit.RAD;

import java.awt.*;
import java.awt.event.*;
import java.beans.*;
import com.sun.java.swing.JComboBox;

class PropertySelector extends JComboBox implements ItemListener {

    PropertySelector(PropertyEditor pe) {
	editor = pe;
	String tags[] = editor.getTags();
	for (int i = 0; i < tags.length; i++) {
	    addItem(tags[i]);
	}

  try
  {
   setSelectedIndex(0);
  } catch(Exception x){}

	// This is a noop if the getAsText is not a tag.
  try
  {
	setSelectedItem(editor.getAsText());
  } catch(Exception x){}

	addItemListener(this);
    }

    public void itemStateChanged(ItemEvent evt) {
	String s = (String) getSelectedItem();
	editor.setAsText(s);
    }

    public void repaint() {
  try
  {
	setSelectedItem(editor.getAsText());
  } catch(Exception x){}
    }

    PropertyEditor editor;
}

