
/*
 * Copyright 1998 by PsychoticSoftware
 *
 * This program is free software; you can redistribute it and/or
 * modify it. All we ask is for a simple dredit in any application 
 * you use any part of this source code in -- maybe in a README file.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  
 */


package SuperEdit;

import java.awt.*;
import com.sun.java.swing.*;
import java.awt.event.*;

public class SelectionPanel extends JLabel
{
  ImageIcon tst = loadImageIcon("images/redBall.gif", "redBall");
  ImageIcon column = loadImageIcon("images/column.gif", "column");

  public SelectionPanel()
  {
    super();
    setIcon(column);

    try
    {
      jbInit();
    }
    catch (Exception ex)
    {
      ex.printStackTrace();
    }
  }

  void jbInit() throws Exception
  {
    this.addMouseListener(new java.awt.event.MouseAdapter()
    {
      public void mouseClicked(MouseEvent e)
      {
        this_mouseClicked(e);
      }
    });
    this.setLayout(null);
    //this.setSize(20, 9000);
  }

  public ImageIcon loadImageIcon(String filename, String description)
  {
      java.net.URL url = getClass().getResource(filename);
      return new ImageIcon(url, description);
  }

  void this_mouseClicked(MouseEvent e)
  {
    Object tmp = this.getComponentAt(e.getX(), e.getY());
    if(tmp instanceof JLabel)
    {
      this.remove((Component) tmp);
      this.repaint();
    }
    else
    {

      JLabel newDot = new JLabel(tst);
      newDot.setBounds(/*e.getX() - 8*/ 2, e.getY() - 8, 16, 16);
      this.add(newDot, null);
      this.repaint();
    }
  }

}

