/*
 * Copyright 1998 by PsychoticSoftware
 *
 * This program is free software; you can redistribute it and/or
 * modify it. All we ask is for a simple dredit in any application 
 * you use any part of this source code in -- maybe in a README file.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  
 */
package SuperEdit;

import com.sun.java.swing.event.*;
import com.sun.java.swing.tree.*;
import com.sun.java.swing.text.Highlighter;
import java.awt.Point;

public class Selector implements TreeSelectionListener
{
   public Object highlightBuffer = null;
   Editor editorBuffer = null;

   public void valueChanged(TreeSelectionEvent e)
   {
     try
     {
     TreePath thePath = e.getPath();
     DefaultMutableTreeNode selectedItem = (DefaultMutableTreeNode) thePath.getLastPathComponent();

     if(selectedItem.getUserObject() instanceof TE)
     {
       TE te = (TE) selectedItem.getUserObject();
       Point point = te.getPont();
       if(point != null)
       {
         int caret = point.x + (point.y - point.x)/2;
         //System.out.println(selectedItem + ", " + caret + ", " + point);
         if(highlightBuffer != null)
         {
           Highlighter h = te.getEditor().theText.getHighlighter();
           h.removeHighlight(highlightBuffer);
         }
         editorBuffer = te.getEditor();
         te.getEditor().theText.setCaretPosition(caret);
         highlightBuffer = te.getEditor().light(SuperEdit.superEdit.ideOptions.browserSelectColor);
       }
       else
       {
         if(highlightBuffer != null && editorBuffer != null)
         {
           Highlighter h = editorBuffer.theText.getHighlighter();
           h.removeHighlight(highlightBuffer);
         }
       }
     }
     else
     {
       if(highlightBuffer != null && editorBuffer != null)
       {
         Highlighter h = editorBuffer.theText.getHighlighter();
         h.removeHighlight(highlightBuffer);
       }
     }

     }
     catch(Exception x) {;}


   }




}
