/*
 * Copyright 1998 by PsychoticSoftware
 *
 * This program is free software; you can redistribute it and/or
 * modify it. All we ask is for a simple dredit in any application 
 * you use any part of this source code in -- maybe in a README file.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  
 */
package SuperEdit;

import com.sun.java.swing.ImageIcon;
import java.awt.Point;

// Tree element class

public class TE
{
  private String name = "";
  private int type = 0;

  public static final int PUBLIC = 0;
  public static final int PRIVATE = 1;
  public static final int PROTECTED = 2;
  public static final int FRIENDLY = 3;
  public static final int IMPORT = 4;

  private ImageIcon customIcon = null;
  private ImageIcon customIcon2 = null;
  private String tip = null;
  private Point point = null;
  private Editor editor = null;
  Object contents;

  public TE(Object o)
  {
    name = o.toString();
    contents = o;
  }

  public TE(java.io.File f)
  {
    name = f.getName();
    contents = f;
  }

  public TE(Object o, int t)
  {
    name = o.toString();
    type = t;
  }

  public String toString()
  {
    return name;
  }

  public void setName(String name)
  {
    this.name = name;
  }

  public String getName()
  {
    return name;
  }

  public int getType()
  {
    return type;
  }

  public String getTip()
  {
    return tip;
  }

  public ImageIcon getIcon()
  {
    return customIcon;
  }

  public void setIcon(ImageIcon icon)
  {
    customIcon = icon;
  }

  public ImageIcon getIcon2()
  {
    return customIcon2;
  }

  public void setIcon2(ImageIcon icon)
  {
    customIcon2 = icon;
  }

  public void setTip(String theTip)
  {
    tip = theTip;
  }

  public Point getPont()
  {
    return point;
  }

  public void setPoint(Point point)
  {
    this.point = point;
  }

  public Editor getEditor()
  {
    return editor;
  }

  public void setEditor(Editor editor)
  {
    this.editor = editor;
  }

}