/*
 * Copyright 1998 by PsychoticSoftware
 *
 * This program is free software; you can redistribute it and/or
 * modify it. All we ask is for a simple dredit in any application 
 * you use any part of this source code in -- maybe in a README file.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  
 */
package SuperEdit;

import com.sun.java.swing.*;
import com.sun.java.swing.text.*;
import com.sun.java.swing.plaf.basic.BasicListCellRenderer;

import java.awt.*;
import java.awt.event.*;
import java.util.*;

public class ListRenderer extends BasicListCellRenderer
{

  private boolean isTool = false;
  private IDEOptions ide = null;

	ListRenderer()
  {
    super();
	}

	ListRenderer(IDEOptions ide)
  {
    super();
    isTool = true;
    this.ide = ide;
	}

	public Component getListCellRendererComponent(
            JList list,
            Object value,
            int modelIndex,
            boolean isSelected,
            boolean cellHasFocus)
  {


    if(value instanceof TE)
    {
      TE te = (TE) value;

      if(te.getIcon() != null)
      {
        if(isSelected && te.getIcon2() != null)
        {
          setIcon(te.getIcon2());
          if(isTool)
          {
           SuperEdit.superEdit.jTabbedPane1.setSelectedIndex(modelIndex);
           SuperEdit.superEdit.jTabbedPane1.repaint();

           ide.refreshItemList();

           //DefaultListModel itemModel = (DefaultListModel)list.getModel();
           //itemModel.removeAllElements();

           //Component[] tools = ((ToolBarPanel)SuperEdit.superEdit.jTabbedPane1.getSelectedComponent()).getComponents();
           //for(int i = 0; i < tools.length; i++)
           //{
           //  System.out.print("0 = " + i + ", ");
           //  ToolbarButton tb = (ToolbarButton)tools[i];
           //  System.out.print(tb);
           //  TE te2 = new TE(tb);
           //  te2.setIcon(tb.get16x16());
           //
           //  itemModel.addElement(te2);
           //}
           //list.repaint();
          }
        }
        else
        {
          setIcon(te.getIcon());
        }
      }
      else {setIcon(null);}
    }

	    return super.getListCellRendererComponent(list, value, modelIndex, isSelected, cellHasFocus);
	}
}
