
// Support for a PropertyEditor that uses text.

package SuperEdit.RAD;

import com.sun.java.swing.*;
import java.awt.*;
import java.awt.event.*;
import java.beans.*;


class PropertyText extends JTextField implements KeyListener {
    
    PropertyText(PropertyEditor pe) {
	super();

  setText(pe.getAsText() == null ? "" : pe.getAsText());

	editor = pe;
	addKeyListener(this);
    }

    //public void repaint() {
	  //setText(editor.getAsText() == null ? "" : editor.getAsText());
    //super.repaint();
    //}

    //----------------------------------------------------------------------
    // Keyboard listener methods.

    public void keyReleased(KeyEvent e)
    {
      try
      {
	      editor.setAsText(this.getText());
        //System.out.println("Typed: " + editor.getValue());
      }
      catch (IllegalArgumentException ex)
      {
        //System.out.println("Illegal Argument");
   	  }
    }

    public void keyPressed(KeyEvent e) {
    }

    public void keyTyped(KeyEvent e)
    {
    }

    //----------------------------------------------------------------------
    private PropertyEditor editor;

    public String getText()
    {
      String tmp = super.getText();

      if(tmp == null) {return null;}
      
      if(tmp.equals("null"))
      {
        return null;
      }
      else
      {
        return tmp;
      }
    }

    public void setText(String val)
    {
      if(val == null) {super.setText(null); return;}

      if(val.equals("null"))
      {
        super.setText(null);
      }
      else
      {
        super.setText(val);
      }
    }
}
